# 12. Mutācija: ģenerēt uz augsnes balstītu "Zonu karti" asinhroni

Ģenerēt augsnē balstītu "ZonesMap" priekš "Lauks" **asinhroni**.

{% hint style="info" %}
Asinhronā pieeja liek uzdevumu (Ģenerēt `ģenerētAugsnesVektoruAnalīzesKartes`) apstrādāt, un Abonements tiks saņemts, tiklīdz apstrāde būs pabeigta.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutācija ĢenerētAugsnesZonuKartesAsync {
  ģenerētAugsnesVektoruAnalīzesKartesAsync(ievade: {
    fieldUuid: "<placeholder_of_field_uuid>"
    nosaukums: "tīkla augsnes māls"
    numberOfZones: 7
    augsnesAtribūts: "māls"
    soilDatasetUuid: "<placeholder_of_soildataset_uuid>"
  }) {
    uuid
    fieldUuid
    statusaKods
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/12.-mutacija-generet-uz-augsnes-balstitu-zonu-karti-asinhroni.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
